Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.portal.provider.v1.http
Class BaseCustomization

    java.lang.Object
      |
      +--oracle.portal.provider.v1.http.BaseCustomization

Deprecated. Use `NameValuePersonalizationObject` instead.

public class BaseCustomization
extends java.lang.Object
implements java.io.Serializable, CustomizationObject

Base customization data class. Manages customization data all portlets should support. Currently, this is just the portlets title.

All portlets should support customization even if they only allow a user to customize the titlebar. Portlets providing further customization (data) should subclass this class as built-in generic renderers that automatically rendeer the titlebar rely on the data object being an instance of BaseCustomization to access the customized title name to render in the titlebar.

See Also:
  Serialized Form

Constructor Summary
`BaseCustomization()` Deprecated. Null Constructor.

Method Summary
`java.lang.String` | `getTitle()` Deprecated. Gets the customized title.
`java.lang.String` | `getTitle(java.util.Locale l)` Deprecated. Use `getTitle()` instead.
`void` | `init(PortletReference pr)` Deprecated. Init method used to initialize the data object after instantiated via its null constructor.
`void` | `init(PortletReference pr, java.lang.Class mlClass)` Deprecated. Use `init(PortletReference pr)` instead.
`void` | `setTitle(java.lang.String title)` Deprecated. Sets the new customized title.
`void` | `setTitle(java.lang.String title, java.util.Locale l)` Deprecated. Use `setTitle(String title)` instead.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### BaseCustomization

    public BaseCustomization()

  Deprecated.
  Null Constructor.

Method Detail

### init

    public void init(PortletReference pr)

  Deprecated.
  Init method used to initialize the data object after instantiated via its null constructor. Defined by the CustomizationObject interface. Personalization manager is expected to call the init method of data objects that implement the CustomizationObject interface.

  Behavior is to initialize the title using the (static) title from the portlet metadata (`portlet.getTitle()`). The portlets default Locale is used to retrieve the title.

  Specified by:
    init in interface CustomizationObject
  Parameters:
    `pr` - the portlet reference that identifies the customization instance this object represents.

### init

    public void init(PortletReference pr,
                     java.lang.Class mlClass)

  Deprecated. Use `init(PortletReference pr)` instead.

### getTitle

    public java.lang.String getTitle()

  Deprecated.
  Gets the customized title.
  Returns:
    the customized title.

### setTitle

    public void setTitle(java.lang.String title)

  Deprecated.
  Sets the new customized title.
  Parameters:
    `title` - the new title.

### getTitle

    public java.lang.String getTitle(java.util.Locale l)

  Deprecated. Use `getTitle()` instead.

### setTitle

    public void setTitle(java.lang.String title,
                         java.util.Locale l)

  Deprecated. Use `setTitle(String title)` instead.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD